/*
 * interrupt.c
 *
 *  Created on: Aug 29, 2019
 *      Author: abody
 */
#include <interrupt_handlers.h>
#include "main.h"
#include "globals.h"
#include "ili9341.h"

void HandleLcdDmaIrq()
{
	// DMA2 Stream4
	if(LL_DMA_IsActiveFlag_TC4(DMA2)) {
		LL_DMA_DisableStream(DMA2, LL_DMA_STREAM_4);
		LL_DMA_ClearFlag_TC4(DMA2);
		Ili9341Fsmc::Instance().DmaTransferComplete();
	} else if(LL_DMA_IsActiveFlag_TE4(DMA2))
		LL_DMA_ClearFlag_TE4(DMA2);
}
